org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization

## Class ContentMergeViewerCustomizationDescriptor<T>

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.customization.ContentMergeViewerCustomizationDescriptor<T>

Type Parameters:
  `T` - the type of object produced by the descriptor.

    public class ContentMergeViewerCustomizationDescriptor<T>
    extends Object

The generic descriptor for content merge viewer customizations.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProviderClassName()` Get the qualified class name of the described provider.
`int` `getRanking()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getRanking

    public int getRanking()

See Also:
  `org.eclipse.emf.compare.ide.ui.internal.logical.view.ILogicalModelViewHandler#getRanking()`

#### getProviderClassName

    public String getProviderClassName()

Get the qualified class name of the described provider.

Returns:
  the qualified class name of the described provider.